{ pkgs, ... }: {
  imports = [
    ./font.nix
    ./firefox.nix
    ./kitty.nix
    ./gtk.nix
    ./mako.nix
    ./wofi.nix
    ./waybar.nix
    ./vscode.nix
  ];

  home.packages = with pkgs; [
    wf-recorder
    wl-clipboard
    gnome-keyring
    vesktop
    xdg-utils
  ];
  home.sessionVariables = {
    MOZ_ENABLE_WAYLAND = 1;
    QT_QPA_PLATFORM = "wayland";
    LIBSEAT_BACKEND = "logind";
  };

  programs.imv.enable = true;

  xdg.mimeApps.enable = true;
  xdg.portal = {
    enable = true;
    extraPortals = [pkgs.xdg-desktop-portal-wlr];
    config = {
      common = {
        default = [
          "wlr"
        ]; 
      };
    };
  };
}
